# QGround Control

<details>

<summary>Why does QGC freeze when I cycle power on my drone?</summary>

It is a good idea to restart QGC after cycle power or swapping batteries out on your drone.  QGC can sometimes freeze or display incomplete telemetry data from your aircraft if you don't.&#x20;

</details>

<details>

<summary>Will QGC run on Ubuntu Linux? </summary>

It is possible to run QGround Control with Windows, Mac OS X, Ubuntu Linux, or Android.  See the[ QGround Control link](https://docs.qgroundcontrol.com/master/en/getting_started/download_and_install.html) to see the manufactures instructions.

</details>

<details>

<summary>How do I maintain my aircraft's flight direction during a planned mission? </summary>

You can change the QGround Control parameter WP\_YAW\_BEHAVOIR to meet the needs of your mission. &#x20;

Refer to our [Mission Planning Quick Start guide](/inspired-documentation/products/aircraft/if1200/operating-the-aircraft/mission-planning.md) for further details.&#x20;

</details>

<details>

<summary>Can I operate my aircraft in Acro mode, or other flight modes?</summary>

QGC is an open source software that comes with several flight mode options. We do not recommend flying any of our aircraft in Acro mode.  We confiure the controllers at the factory with presets for Loiter, Position Mode, Return to Launch (RTL) flight modes.  These are the recommended, safe flight modes for all Inspired Flight drones.&#x20;

&#x20;Reference our section on[ Flight Modes](/inspired-documentation/products/inspired-suite/inspired-ground-control-igc/flight-modes.md) for more information.&#x20;

</details>

<details>

<summary>How do I save a log file without arming the drone?</summary>

It is possible to save a log file when the vehicle doesn't arm, by selecting the appropriate box in QGC > General > Telemetry.

</details>

<details>

<summary>Why is the HDMI stream cutting between FPV and Payload camera?</summary>

Occasionally QGC can have a bug where the FPV and payload camera streams become mixed.  Navigating to the Video Stream tab and switching between Stream 1 and Stream 2 can fix this issue. &#x20;

</details>

<details>

<summary>Why am I receiving a "MAG ZERO FAILURE TIMEOUT" error when flying my drone? </summary>

If you are receiving "MAG ZERO FAILURE TIMEOUT" error when flying and the aircraft is flying normally, please note the following:

* The error message is common depending on where you are flying and can be ignored.  The ultra-sensitive GPS check will throw the error in certain locations.
* You can silence the warning by sliding down from the top of the controller screen > selecting the gear icon > "Sound" > *Move the slider to Silent*.&#x20;

</details>

<details>

<summary>How do I change units from meters to feet? </summary>

[Here](https://docs.qgroundcontrol.com/master/en/qgc-user-guide/settings_view/general.html#units) is the documentation on that. You can click on the "Q" in the top left and you will find the units.

</details>

<details>

<summary>If we need to land to exchange batteries, is there a way to resume mission to get back online for the collection process?</summary>

Yes this is a typical workflow and when you power the drone back on it will start back at the waypoint it stopped on.

</details>

<details>

<summary>I would like the flight lines more apparent; the flight lines are very thin white lines that were difficult to see.</summary>

[Here](https://docs.qgroundcontrol.com/master/en/SettingsView/SettingsView.html) is the documentation. Click the "Q" in the top left and click "general", there is a color scheme option.

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.inspiredflight.com/inspired-documentation/products/frequently-asked-questions/qground-control.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
